/**
 * Copyright 2005-2015 Alfresco Software, Ltd. All rights reserved.
 * License rights for this program may be obtained from Alfresco Software, Ltd.
 * pursuant to a written agreement and any use of this program without such an
 * agreement is prohibited.
 */
package com.activiti;

import java.text.DateFormat;
import java.text.SimpleDateFormat;

/**
 * @author Joram Barrez
 */
public interface Constants {
	
	String LOG_NR = "logNr";
	String TYPE = "type";
	String PROCESS_DEFINITION_ID = "processDefinitionId";
	String PROCESS_INSTANCE_ID ="processInstanceId";
	String EXECUTION_ID = "executionId";
	String TASK_ID = "taskId";
	String TIME_STAMP = "timeStamp";
	String USER_ID = "userId";
	String DATA = "data";
	
	String[] HEADER = new String [] {LOG_NR, TYPE, PROCESS_DEFINITION_ID, PROCESS_INSTANCE_ID, 
			EXECUTION_ID, TASK_ID, TIME_STAMP, USER_ID, DATA};
	
	DateFormat DATE_FORMAT = new SimpleDateFormat("yyyy.MM.dd HH:mm:ss z");

}
